Name:           gdome2
Version:        0.8.1
Release:        6.2%{?dist}
Summary:        DOM level 2 library for accessing XML files

Group:          System Environment/Libraries
License:        LGPL
URL:            http://gdome2.cs.unibo.it/
Source:         http://gdome2.cs.unibo.it/tarball/%{name}-%{version}.tar.gz
Patch0:         %{name}-destdir.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxml2-devel >= 2.4.26
BuildRequires:  glib2-devel >= 2.2.0

%description 
gdome2 is a fast, light and complete DOM level 2 implementation based
on libxml2. Although it has been written for the GNOME project, it can
be used stand-alone.  A DOM implementation (also called a host
implementation) is what makes a parsed XML or HTML document available
for processing via the DOM interface.  gdome2 currently supports the
"Core", "XML", "Events" and "MutationEvents" modules from the DOM 2
Recommendation (see http://www.w3.org/TR/DOM-Level-2-Core/ and
http://www.w3.org/TR/DOM-L evel-2-Events/), and is supposed to become
a full implementation of all the DOM Level 2 standard.  Now gdome2
also partially supports the XPath module from the DOM level 3 drafts.

%package        devel
Summary:        Development files for gdome2
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       glib2-devel >= 2.2.0
Requires:       libxml2-devel >= 2.4.26

%description    devel
%{summary}.


%prep
%setup -q
%patch0 -p0


%build
export LDFLAGS="-L%{_libdir}" # fix linkage on lib64 archs
export GLIB_CONFIG="pkg-config glib-2.0" # to fix gdome-config(1)
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libgdome.la


%check
# xpath check dumps core on FC4 with libxml2 2.6.19
if [ "`(xml2-config --version)`" = "2.6.19" ] ; then
  make check || :
else
  make check
fi


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LIB MAINTAINERS README
%{_libdir}/libgdome.so.*

%files devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/
%{_bindir}/gdome-config
%{_includedir}/libgdome/
%{_libdir}/libgdome.so
%{_libdir}/gdomeConf.sh
%{_datadir}/aclocal/gdome2.m4
%{_libdir}/pkgconfig/gdome2.pc
%{_mandir}/man1/gdome-config.1*


%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.1-6.2
- Autorebuild for GCC 4.3

* Thu Feb 15 2007 Bernard Johnson <bjohnson@symetrix.com> - 0.8.1-5.2
- Re-enable building, retag, rebuild

* Mon Aug 28 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-5
- Rebuild.

* Sun Jun  4 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-4
- Fix linkage on lib64 archs.

* Mon Feb 13 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-3
- Rebuild.

* Thu Nov 10 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-2
- Fix description of -devel.
- Don't use %%exclude.

* Thu Jul 14 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-1
- Use disttag.

* Tue Jul 12 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-0.2
- Allow test suite to fail only with libxml2 2.6.19.
- Drop some unneeded docs.

* Wed Jun 22 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.8.1-0.1
- Rebuild for FC4, don't fail if test suite fails (it does w/libxml2 2.6.19).
- Don't build static libs.

* Thu Feb 12 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.8.1-0.fdr.1
- Update to 0.8.1.

* Sun Oct 19 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.8.0-0.fdr.3
- Remove (empty) NEWS from docs.

* Mon Oct 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.8.0-0.fdr.2
- Fix source permissions.

* Tue Sep 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.8.0-0.fdr.1
- Update to 0.8.0.

* Fri Aug  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.4-0.fdr.1
- Update to 0.7.4.
- Fedorafied.

* Sun Dec 29 2002 Paolo Casarini <paolo@casarini.org>
  patch provided by Oron Peled <oron@actcom.co.il>
  - %%defattr(-,root,root) wasn't set for documents in the devel
    package. This cause wrong ownership of docs in non-root builds.
  - Update URL: and Source: locations
  - s/Copyright:/License:/

* Sun Mar 31 2002 Paolo Casarini <paolo@casarini.org>
  - updated descriptions and summaries

* Sat Dec 15 2001 Paolo Casarini <paolo@casarini.org>
  - updated descriptions and summaries

* Tue Oct 23 2001 Paolo Casarini <paolo@casarini.org>
  - added the gdome-config.1 man page

* Mon Aug 6 2001 Paolo Casarini <paolo@casarini.org>
  - Merge of the Andrew release with mine

* Thu Aug 2 2001 Andrew Chatham <andrew.chatham@duke.edu>
  - Spec file created

* Tue Jul 3 2001 Paolo Casarini <paolo@casarini.org>
  - Initial release
